function [sys,x0,str,ts] = pausesim(t,x,u,flag,par)

switch flag,
  case 0,
    [sys,x0,str,ts]=mdlInitializeSizes;
  case 2,
    sys=mdlUpdate(t,x,u);
  case 4,
    sys=mdlGetTimeOfNextVarHit(t,x,u,par);
  case {1,3,9}
    sys=[];
  otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end

% end pausesim

function [sys,x0,str,ts]=mdlInitializeSizes

sizes = simsizes;
sizes.NumContStates  = 0;
sizes.NumDiscStates  = 1;
sizes.NumOutputs     = 0;
sizes.NumInputs      = 0; 
sizes.DirFeedthrough = 1;
sizes.NumSampleTimes = 1;   % at least one sample time is needed
sys = simsizes(sizes);

x0  = 1;
str = [];
ts  = [-2 0];

% end mdlInitializeSizes

function sys=mdlUpdate(t,x,u)

if x>1
  set_param(get_param(gcs,'Parent'),'SimulationCommand','Pause');
end
sys = x+1;

% end mdlUpdate

function sys=mdlGetTimeOfNextVarHit(t,x,u,par)

if x<=length(par)
  sys = par(x);
else
  sys = 10000000;
end

% end mdlGetTimeOfNextVarHit
